+++

title = "ATtiro 2.0 - Vývojový kit pro Atmega8"
perex_e = " 
Při našich pokusech na kroužku s programováním mikroprocesorů jsme dospěli do stádia, že by se nám hodila nějaká stavebnice, kde by se daly dělat různé pokusy a zapojení s těmito programovatelnými jednočipy. Na trhu jsou takovéto kity k dostání, ale zase proč to kupovat za tisíce, když si to můžeme postavit za desetinu ceny. V následujícím článku bychom Vám chtěli představit náš vývojový nástroj pro praci s obvody ATmega. V 
.
.

"
tags = ["Článek"]
+++

 
Při našich pokusech na kroužku s programováním mikroprocesorů jsme dospěli do stádia, že by se nám hodila nějaká stavebnice, kde by se daly dělat různé pokusy a zapojení s těmito programovatelnými jednočipy. Na trhu jsou takovéto kity k dostání, ale zase proč to kupovat za tisíce, když si to můžeme postavit za desetinu ceny. V následujícím článku bychom Vám chtěli představit náš vývojový nástroj pro praci s obvody ATmega. V 
.
.


Inspirací nám byl projekt [MLAB.cz](http://www.mlab.cz/Server/GenIndex/GenIndex.php?lang=en&path=/Modules) modulové stavebnice, kde lze velice šikovně propojovat jednotlivé moduly a na jednu desku umístit několik různých funkčních jednotek. My jsme ale zůstali u modelu jedné desky obsahující univerzálně použitelné součástky pro mnoho zapojení a pokusů. Deska neobsahuje nic technicky převratného a USB konektor slouží pouze k napájení celé desky, jak je vidět ze schématu. K vlastnímu naprogramování  mikroprocesoru je třeba ISP programátor, [třeba tento](http://www.fischl.de/usbasp/), koupit ho můžete [zde](http://rybkalabs.cz/usb-programator-avr.html). ATtiro je již v pořadí verze 2.0, protože první verze byl pouze mikroprocesor s krystalem, konektorem IPS, několika LED a tlačítky, tak nestojí ani za publikování. Cílem této stavebnice/kitu verze 2.0 bylo nabídnout členům kroužku hračku, kterou připojí doma, na internátu nebo koleji s PC či notebookem, a budou moci bez nutnosti dalšího pájení vesele pokusovat s programovatelnými mikroprocesory. Pokud se ovšem už něco naučíte a chcete něco opravdu vyvíjet, doporučujeme jít cestou samostatných modulů [MLAB](http://www.mlab.cz/Server/GenIndex/GenIndex.php?lang=en&path=/Modules). [Zde](http://shop.onpa.cz/?vyvojove-kity,21) je také nabídka podobných vývojových kitů pro AVR.
[![](/upload/ok1wmr/clanky/attiro/2.0/01.jpg)](../upload/ok1wmr/clanky/attiro/2.0/01_b.jpg)

[![](/upload/ok1wmr/clanky/attiro/2.0/sch_s.png)](../upload/ok1wmr/clanky/attiro/2.0/sch.png)

[![](/upload/ok1wmr/clanky/attiro/2.0/pcb_s.png)](../upload/ok1wmr/clanky/attiro/2.0/pcb.png)PDF verze: [schéma](../upload/ok1wmr/clanky/attiro/2.0/ATtiro_v2.0_sch.pdf), [plošný spoj 1:1](../upload/ok1wmr/clanky/attiro/2.0/ATtiro_v2.0_pcb.pdf) (200x130mm), [osazovací plán](../upload/ok1wmr/clanky/attiro/2.0/ATtiro_v2.0_osaz.pdf)Eagle 5.9: [SCH](../upload/ok1wmr/clanky/attiro/2.0/ATmega8_tiro_v2.0.sch) a [BRD](../upload/ok1wmr/clanky/attiro/2.0/ATmega8_tiro_v2.0.brd)Některé použité součástky:IC1 - [ATmega8-16PU](http://hledejsoucastky.cz/Hledani.aspx?lastsearch=ATMEGA8-16PU)LED10 - [CA56-21SRWA](http://www.tme.eu/cz/katalog/artykuly.phtml?search=CA56-21SWRA&idp=1#cleanParameters%3D1%26search%3DCA56-21SRWA%26bf_szukaj%3D+)DIS1 - [LCD 16x2](http://hledejsoucastky.cz/Hledani.aspx?lastsearch=LCD%2016x2)SW11 - [KB304-PAB](http://www.tme.eu/cz/katalog/index.phtml?f_zamowienie=1#cleanParameters%3D1%26search%3DKB304-PAB%26bf_szukaj%3D+)

* * *

....[http://krouzek.radioklub.cz](http://krouzek.radioklub.cz)
....

* * *